lib_path = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib_path) unless $LOAD_PATH.include?(lib_path)
require 'redipress/variables'

Gem::Specification.new do |s|
	s.name        = 'redipress'
	s.version     = RediPress::VERSION
	s.date        = Time.now.strftime("%Y-%m-%d")
	s.summary     = 'RediPress'
	s.description = 'Automated server configuration!'
	s.authors     = ['Rediweb Hosting']
	s.email       = 'support@rediwebhosting.uk'
	s.files       = `git ls-files`.split($/)
	s.homepage    = 'https://rediwebhosting.uk/premium-wordpress-hosting'
	s.license     = 'MIT'

	s.executables << 'redipress'

	s.add_runtime_dependency "thor", "~> 0.19"
	s.add_runtime_dependency "tty-prompt", "~> 0.3"
	s.add_runtime_dependency "tty-table", "~> 0.4"
	s.add_runtime_dependency "tty-spinner", "~> 0.1"
	s.add_runtime_dependency "sshkey", "~> 1.8"
	s.add_runtime_dependency "sshkit", "~> 1.9"
end
